Skip to main content
GET
/
data
/
api
/
TOTAL_REVENUE,NET_INCOME,EBITDA,OPERATING_INCOME,FREE_CASH_FLOW,BASIC_EPS,DILUTED_EPS
Python
import os
from datetime import date
from artemis import Artemis

client = Artemis()
response = client.equity.fetch_financials(
    api_key=os.environ["ARTEMIS_API_KEY"],
    symbols="eq-nvda",
    granularity="QUARTER",
    start_date=date(2024, 1, 1),
    end_date=date(2025, 12, 31),
)

# Print the latest reported quarter for each P&L line item:
metrics = response.data.symbols["eq-nvda"]
for name in ["TOTAL_REVENUE", "NET_INCOME", "EBITDA", "FREE_CASH_FLOW", "DILUTED_EPS"]:
    series = metrics.get(name) or []
    if series:
        latest = series[-1]
        print(f"{name:20} {latest.date}  {latest.val:,.2f}")
{
  "data": {
    "symbols": {
      "eq-nvda": {
        "TOTAL_REVENUE": [
          {
            "date": "2024-04-28",
            "val": 26044000000
          },
          {
            "date": "2024-07-28",
            "val": 30040000000
          }
        ],
        "NET_INCOME": [
          {
            "date": "2024-04-28",
            "val": 14881000000
          },
          {
            "date": "2024-07-28",
            "val": 16599000000
          }
        ],
        "EBITDA": [
          {
            "date": "2024-04-28",
            "val": 17319000000
          },
          {
            "date": "2024-07-28",
            "val": 19310000000
          }
        ],
        "BASIC_EPS": [
          {
            "date": "2024-04-28",
            "val": 0.6
          },
          {
            "date": "2024-07-28",
            "val": 0.68
          }
        ],
        "DILUTED_EPS": [
          {
            "date": "2024-04-28",
            "val": 0.6
          },
          {
            "date": "2024-07-28",
            "val": 0.67
          }
        ]
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://artemis.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

symbols
string
required

Comma-separated list of equity symbols (e.g. eq-nvda,eq-meta).

startDate
string<date>

Start date in YYYY-MM-DD format

endDate
string<date>

End date in YYYY-MM-DD format

granularity
enum<string>
default:QUARTER

Granularity for equity financial metrics. Only QUARTER is supported.

Available options:
QUARTER
limit
integer

Maximum number of data points to return (1–1000).

Required range: 1 <= x <= 1000
APIKey
string
required

Your Artemis API key

Response

200 - application/json

Equity financials time-series, keyed by metric name within each symbol.

data
object
required